%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate time-macros

Name:           rust-time-macros
Version:        0.2.18
Release:    2%{?dist}
Summary:        Procedural macros for the time crate

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/time-macros
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Procedural macros for the time crate.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-Apache
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+formatting-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+formatting-devel %{_description}

This package contains library source intended for building other packages which
use the "formatting" feature of the "%{crate}" crate.

%files       -n %{name}+formatting-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+large-dates-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+large-dates-devel %{_description}

This package contains library source intended for building other packages which
use the "large-dates" feature of the "%{crate}" crate.

%files       -n %{name}+large-dates-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+parsing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parsing-devel %{_description}

This package contains library source intended for building other packages which
use the "parsing" feature of the "%{crate}" crate.

%files       -n %{name}+parsing-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.2.18-2
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.18-1
- initial build
